<?xml version="1.0" encoding="UTF-8" ?>
<persistence xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
             xsi:schemaLocation="http://java.sun.com/xml/ns/persistence http://java.sun.com/xml/ns/persistence/persistence_2_0.xsd"
             version="2.0" xmlns="http://java.sun.com/xml/ns/persistence">
    <persistence-unit name="Aeroport" transaction-type="RESOURCE_LOCAL">
        <!-- Personnel -->
        <class>aeroport.personne.Personnel</class>
        <class>aeroport.personne.Passager</class>
        <class>aeroport.personne.Service</class>

        <!-- Vol -->
        <class>aeroport.vol.Vol</class>
        <class>aeroport.vol.VolTroncon</class>
        <class>aeroport.vol.Troncon</class>
        <class>aeroport.vol.Depart</class>

        <!-- Avion -->
        <class>aeroport.avion.Avion</class>
        <class>aeroport.avion.DepartAvion</class>
        <class>aeroport.avion.ClasseAvion</class>

        <properties>

            <property name="javax.persistence.jdbc.driver" value="org.apache.derby.jdbc.ClientDriver" />
            <property name="javax.persistence.jdbc.url" value="jdbc:derby://localhost:1527/Aeroport;create=true" />
            <property name="javax.persistence.jdbc.user" value="JPA_BS" />
            <property name="javax.persistence.jdbc.password" value="JPA_BS" />

            <!-- EclipseLink should create the database schema automatically -->
            <property name="eclipselink.ddl-generation" value="drop-and-create-tables" />
            <property name="eclipselink.ddl-generation.output-mode" value="database" />
            <property name="eclipselink.logging.level" value="SEVERE"/>
        </properties>

    </persistence-unit>
</persistence>